cowboy:stop_listener(3)

NAME

cowboy:stop_listener - Stop the given listener

DESCRIPTION
    stop_listener(Name :: ranch:ref())
        -> ok | {error, not_found}.

Stop a previously started listener.

Alias of ranch:stop_listener(3).

ARGUMENTS

Name
    The name of the listener to be stopped.

    The name of the listener is the first argument given to the cowboy:start_clear(3), cowboy:start_tls(3) or ranch:start_listener(3) function.

RETURN VALUE

The atom ok is returned on success.

The {error, not_found} tuple is returned when the listener does not exist.

CHANGELOG
    • 1.0: Function introduced.

EXAMPLES

Stop a listener
    ok = cowboy:stop_listener(example).

SEE ALSO

cowboy(3), cowboy:start_clear(3), cowboy:start_tls(3), ranch(3), ranch:start_listener(3)